diff --git a/nix/sources.json b/nix/sources.json
index ed135ce96f70b579c8a51e0e8922e663bacded06..62fb64596f944128dc8bd958c11d4d41627ad28e 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -65,34 +65,6 @@         "type": "tarball",
         "url": "https://github.com/tumic0/GPXSee-maps/archive/cb60f47393f79ce0e279ee08b0697acda2ded7e9.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
-    "gt-bash-client": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2020-11-01T17:06:50Z",
-        "description": "Get translated text from your terminal! Console Google Translate Script (bash+curl+sed)",
-        "homepage": "https://ophoperhpo.github.io/GT-bash-client/",
-        "owner": "OPHoperHPO",
-        "repo": "GT-bash-client",
-        "rev": "c2cf017a79e68073fd21a8a69ca6a8cccabf1c1e",
-        "sha256": "0xfvhk7czxc7b8nvdrmsmzkj28cza4x2lpvpfvd1xjac8ivw6i32",
-        "type": "tarball",
-        "url": "https://github.com/OPHoperHPO/GT-bash-client/archive/c2cf017a79e68073fd21a8a69ca6a8cccabf1c1e.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
-    "gt4gd": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2021-02-02T11:20:46Z",
-        "description": "Add Google translate to GoldenDict",
-        "homepage": "https://github.com/xinebf/google-translate-for-goldendict",
-        "owner": "xinebf",
-        "repo": "google-translate-for-goldendict",
-        "rev": "37c2cf96fe5584d766211f72aa0f7002fe334168",
-        "sha256": "05ciq9a5l3dxakj85i12v2y5d6h15cxpvn060rw46bfqj3d6hrnm",
-        "type": "tarball",
-        "url": "https://github.com/xinebf/google-translate-for-goldendict/archive/37c2cf96fe5584d766211f72aa0f7002fe334168.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
     "klogg": {
         "branch": "master",
         "builtin": false,
@@ -214,48 +186,6 @@         "rev": "577bb119641c80e1736815ed70a0b99c942c63e0",
         "sha256": "1vj1db35prm4npww6vzjkjd12aqvyvkhwg35fg4m4mbfz0d289qx",
         "type": "tarball",
         "url": "https://github.com/tumic0/QtPBFImagePlugin-styles/archive/577bb119641c80e1736815ed70a0b99c942c63e0.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
-    "supermercado": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2020-10-14T18:25:52Z",
-        "description": "Supercharger for mercantile",
-        "homepage": "https://github.com/mapbox/supermercado",
-        "owner": "mapbox",
-        "repo": "supermercado",
-        "rev": "ecc9f5a36c1c8d13872df5bdcbd01621e5f3ab48",
-        "sha256": "1b5kyxz8n1ysrv0kdf49ma60k5448sg5k7c9zyzrl46hw5lbar4k",
-        "type": "tarball",
-        "url": "https://github.com/mapbox/supermercado/archive/ecc9f5a36c1c8d13872df5bdcbd01621e5f3ab48.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
-    "tile-stitch": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2019-07-11T00:06:57Z",
-        "description": "Stitch together and crop map tiles for a specified bounding box",
-        "homepage": "https://github.com/ericfischer/tile-stitch",
-        "owner": "ericfischer",
-        "repo": "tile-stitch",
-        "rev": "f14d113c54bb7dcffee05a7608a806b8557139e5",
-        "sha256": "1xq9alsmkz5wpw3cd3xq55046i7c60k5nhx9mssm61ywsvq3yi0h",
-        "type": "tarball",
-        "url": "https://github.com/ericfischer/tile-stitch/archive/f14d113c54bb7dcffee05a7608a806b8557139e5.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
-    "tilesets-cli": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2021-02-16T19:02:34Z",
-        "description": "CLI for interacting with the Mapbox Tilesets API",
-        "homepage": "https://docs.mapbox.com/api/maps/#tilesets",
-        "owner": "mapbox",
-        "repo": "tilesets-cli",
-        "rev": "23b74acadf89ad917c15dd8fb9c8f59aa6cc8640",
-        "sha256": "0a8bz0cfywhxg8v6a6n2n91r77sxvni0lxlv6sz4cfhjsasbibpw",
-        "type": "tarball",
-        "url": "https://github.com/mapbox/tilesets-cli/archive/23b74acadf89ad917c15dd8fb9c8f59aa6cc8640.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     }
 }
diff --git a/pkgs/dict/gt-bash-client/default.nix b/pkgs/dict/gt-bash-client/default.nix
index 88b8025bf23aee3f52b82c69f2746e4c7131c81c..ffcb2a8d31970c935018b999b83cc1bc5eb0d31d 100644
--- a/pkgs/dict/gt-bash-client/default.nix
+++ b/pkgs/dict/gt-bash-client/default.nix
@@ -1,17 +1,23 @@
-{ lib, stdenv, sources }:
+{ lib, stdenv, fetchFromGitHub }:
 
-stdenv.mkDerivation {
-  pname = "gt-bash-client-unstable";
-  version = lib.substring 0 10 sources.gt-bash-client.date;
+stdenv.mkDerivation rec {
+  pname = "gt-bash-client";
+  version = "1.2";
 
-  src = sources.gt-bash-client;
+  src = fetchFromGitHub {
+    owner = "OPHoperHPO";
+    repo = "GT-bash-client";
+    rev = version;
+    hash = "sha256-dVtwuZsF9ExH6qadUO2MJiWmQ/elTKaVZAp+o3b6XUg=";
+  };
 
   installPhase = ''
     install -Dm755 translate.sh $out/bin/gt-bash-client
   '';
 
   meta = with lib; {
-    inherit (sources.gt-bash-client) description homepage;
+    description = "Get translated text from your terminal! Console Google Translate Script (bash+curl+sed)";
+    inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.all;
diff --git a/pkgs/dict/gt4gd/default.nix b/pkgs/dict/gt4gd/default.nix
index 4276e5e4dc041876b4f24e8e85b1d470c9ea09c7..769a2adc61912574c8566a30e3cb6aa9515cac7e 100644
--- a/pkgs/dict/gt4gd/default.nix
+++ b/pkgs/dict/gt4gd/default.nix
@@ -1,10 +1,15 @@
-{ lib, python3Packages, sources, withUI ? true }:
+{ lib, fetchFromGitHub, python3Packages, withUI ? true }:
 
-python3Packages.buildPythonApplication {
-  pname = "gt4gd-unstable";
-  version = lib.substring 0 10 sources.gt4gd.date;
+python3Packages.buildPythonApplication rec {
+  pname = "gt4gd";
+  version = "1.3.5";
 
-  src = sources.gt4gd;
+  src = fetchFromGitHub {
+    owner = "xinebf";
+    repo = "google-translate-for-goldendict";
+    rev = "v${version}";
+    hash = "sha256-1WZo2pDYLUN4BgbYfTsrAZpWvNgixILkVL0NWlTCkRU=";
+  };
 
   propagatedBuildInputs = with python3Packages; [ requests ]
     ++ lib.optional withUI tkinter;
@@ -17,7 +22,8 @@     install -Dm644 google_translate.png -t $out/share/gt4gd
   '';
 
   meta = with lib; {
-    inherit (sources.gt4gd) description homepage;
+    description = "Add Google translate to GoldenDict";
+    inherit (src.meta) homepage;
     license = licenses.gpl3;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
diff --git a/pkgs/tools/geo/supermercado/default.nix b/pkgs/tools/geo/supermercado/default.nix
index 2e805c30f1c0d73847c138d5dfe0bd0baac5348f..5786592c8c88c68fa49bb653703216607002c561 100644
--- a/pkgs/tools/geo/supermercado/default.nix
+++ b/pkgs/tools/geo/supermercado/default.nix
@@ -1,21 +1,23 @@
-{ lib
-, python3Packages
-, mercantile
-, sources
-}:
+{ lib, fetchFromGitHub, python3Packages, mercantile }:
 
-python3Packages.buildPythonApplication {
-  pname = "supermercado-unstable";
-  version = lib.substring 0 10 sources.supermercado.date;
+python3Packages.buildPythonApplication rec {
+  pname = "supermercado";
+  version = "0.2.0";
 
-  src = sources.supermercado;
+  src = fetchFromGitHub {
+    owner = "mapbox";
+    repo = pname;
+    rev = "44841a07adff32665fae736f9ba7df8c7b24ac44";
+    hash = "sha256-k2S1aOHQEJq//4mdWZ5GhJQJjKqJuDbBztoHi373s6w=";
+  };
 
   propagatedBuildInputs = with python3Packages; [ click-plugins rasterio mercantile numpy ];
 
   checkInputs = with python3Packages; [ pytestCheckHook ];
 
   meta = with lib; {
-    inherit (sources.supermercado) description homepage;
+    description = "Supercharger for mercantile";
+    inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
diff --git a/pkgs/tools/geo/tile-stitch/default.nix b/pkgs/tools/geo/tile-stitch/default.nix
index 89923b5a506f776ef459fef22d5514a3d0396c0a..15297ddc2e752a3f7c25c099b7054925548ecc0c 100644
--- a/pkgs/tools/geo/tile-stitch/default.nix
+++ b/pkgs/tools/geo/tile-stitch/default.nix
@@ -1,10 +1,15 @@
-{ lib, stdenv, curl, libjpeg, libpng, libtiff, libgeotiff, pkg-config, sources }:
+{ lib, stdenv, fetchFromGitHub, curl, libjpeg, libpng, libtiff, libgeotiff, pkg-config }:
 
-stdenv.mkDerivation {
+stdenv.mkDerivation rec {
   pname = "tile-stitch";
-  version = lib.substring 0 10 sources.tile-stitch.date;
+  version = "2019-07-11";
 
-  src = sources.tile-stitch;
+  src = fetchFromGitHub {
+    owner = "ericfischer";
+    repo = pname;
+    rev = "f14d113c54bb7dcffee05a7608a806b8557139e5";
+    hash = "sha256-EEQ/8NbcB1O1rqlDWyYw7ERDQCm4j8YGv7z8WTVVCfc=";
+  };
 
   nativeBuildInputs = [ pkg-config ];
 
@@ -13,7 +18,8 @@
   installPhase = "install -Dm755 stitch -t $out/bin";
 
   meta = with lib; {
-    inherit (sources.tile-stitch) description homepage;
+    description = "Stitch together and crop map tiles for a specified bounding box";
+    inherit (src.meta) homepage;
     license = licenses.bsd2;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
diff --git a/pkgs/tools/geo/tilesets-cli/default.nix b/pkgs/tools/geo/tilesets-cli/default.nix
index 21c5bb015a9bfd6d48aceac0cfe4325cac9f4388..27602c8e46735fdc421644f154bc76ec47ef6a39 100644
--- a/pkgs/tools/geo/tilesets-cli/default.nix
+++ b/pkgs/tools/geo/tilesets-cli/default.nix
@@ -1,10 +1,15 @@
-{ lib, python3Packages, jsonseq, mercantile, supermercado, sources }:
+{ lib, fetchFromGitHub, python3Packages, jsonseq, mercantile, supermercado }:
 
-python3Packages.buildPythonApplication {
-  pname = "tilesets-cli-unstable";
-  version = lib.substring 0 10 sources.tilesets-cli.date;
+python3Packages.buildPythonApplication rec {
+  pname = "tilesets-cli";
+  version = "1.7.1";
 
-  src = sources.tilesets-cli;
+  src = fetchFromGitHub {
+    owner = "mapbox";
+    repo = pname;
+    rev = "v${version}";
+    hash = "sha256-nAI5mwXlJ8JKUna+2dNwMnfEJuQqTrrXW10slNkjv9w=";
+  };
 
   propagatedBuildInputs = with python3Packages; [
     boto3 click cligj
@@ -16,7 +21,8 @@
   checkInputs = with python3Packages; [ pytestCheckHook ];
 
   meta = with lib; {
-    inherit (sources.tilesets-cli) description homepage;
+    description = "CLI for interacting with the Mapbox Tilesets API";
+    homepage = "https://docs.mapbox.com/mapbox-tiling-service";
     license = licenses.bsd2;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;