diff --git a/.github/workflows/build.yml b/.github/workflows/build.yml
index 58e376753f38eb6139e9e3c78dd31d03d3472633..983145eb7489adb635928690e111a20675eff823 100644
--- a/.github/workflows/build.yml
+++ b/.github/workflows/build.yml
@@ -2,6 +2,8 @@ name: "Build and populate cache"
 on:
   pull_request:
   push:
+    branches:
+      - master
   schedule:
     - cron:  '51 2 * * *'
 jobs:
@@ -22,7 +24,7 @@     steps:
     - name: Checkout repository
       uses: actions/checkout@v2.3.4
     - name: Install nix
-      uses: cachix/install-nix-action@v13
+      uses: cachix/install-nix-action@v14
       with:
         nix_path: "${{ matrix.nixPath }}"
     - name: Show nixpkgs version
diff --git a/pkgs/default.nix b/pkgs/default.nix
index 9e22e2b8ebfb9b0a3cb5080bfb5473e54bffe733..91133808fd3a5cfe1d2a0da1bf79f6c303814fb0 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -70,8 +70,6 @@
     foma = callPackage ./development/libraries/foma {
       libtool = if pkgs.stdenv.isDarwin then pkgs.darwin.cctools else null;
     };
-    geographiclib = callPackage ./development/libraries/geographiclib { };
-    gpxlib = callPackage ./development/libraries/gpxlib { };
     hfst = callPackage ./development/libraries/hfst { };
     libshell = callPackage ./development/libraries/libshell { };
     microjson = callPackage ./development/libraries/microjson { };
@@ -185,6 +183,7 @@     datamaps = callPackage ./geospatial/datamaps { };
     elevation = callPackage ./geospatial/elevation {
       click = click-6-7;
     };
+    geographiclib = callPackage ./geospatial/geographiclib { };
     go-staticmaps = callPackage ./geospatial/go-staticmaps { };
     mapsoft = callPackage ./geospatial/mapsoft { };
     mapsoft2 = callPackage ./geospatial/mapsoft/2.nix { };
@@ -219,6 +218,7 @@     gpx-interpolate = callPackage ./gpx/gpx-interpolate { };
     gpx-layer = perlPackages.callPackage ./gpx/gpx-layer { };
     gpx2yaml = callPackage ./gpx/gpx2yaml { };
     gpxchart = callPackage ./gpx/gpxchart { };
+    gpxlib = callPackage ./gpx/gpxlib { };
     gpxsee-bin = callPackage ./gpx/gpxsee/bin.nix { };
     gpxtools = callPackage ./gpx/gpxtools { };
     gpxtrackposter = callPackage ./gpx/gpxtrackposter { };
diff --git a/pkgs/development/libraries/geographiclib/default.nix b/pkgs/geospatial/geographiclib/default.nix
rename from pkgs/development/libraries/geographiclib/default.nix
rename to pkgs/geospatial/geographiclib/default.nix
diff --git a/pkgs/development/libraries/gpxlib/default.nix b/pkgs/gpx/gpxlib/default.nix
rename from pkgs/development/libraries/gpxlib/default.nix
rename to pkgs/gpx/gpxlib/default.nix
diff --git a/pkgs/development/python-modules/gpxelevations/default.nix b/pkgs/development/python-modules/gpxelevations/default.nix
index 62640de4e21e678305f38c87446fa5b3ec7f4fa5..511c71b1eda72a6cbf8361b57c0b4433116fd6ba 100644
--- a/pkgs/development/python-modules/gpxelevations/default.nix
+++ b/pkgs/development/python-modules/gpxelevations/default.nix
@@ -31,6 +31,5 @@     description = "Geo elevation data parser for \"The Shuttle Radar Topography Mission\" data";
     inherit (src.meta) homepage;
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/development/python-modules/lru-dict/default.nix b/pkgs/development/python-modules/lru-dict/default.nix
index 7d1401e85013e473c15b34a0162e75bb6d0de87e..643c1f17f1c9ef279f9117b332b14e020d5fa002 100644
--- a/pkgs/development/python-modules/lru-dict/default.nix
+++ b/pkgs/development/python-modules/lru-dict/default.nix
@@ -18,6 +18,5 @@     description = "A fast and memory efficient LRU cache for Python";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/development/python-modules/wikitextprocessor/default.nix b/pkgs/development/python-modules/wikitextprocessor/default.nix
index e9a1f32b41392ea74eae2d797a8c9e62a2dcc739..09877a55216132232df8b8eedb17c82ee580df3e 100644
--- a/pkgs/development/python-modules/wikitextprocessor/default.nix
+++ b/pkgs/development/python-modules/wikitextprocessor/default.nix
@@ -25,6 +25,5 @@     description = "Parser and expander for Wikipedia, Wiktionary etc. dump files, with Lua execution support";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/development/python-modules/wiktfinnish/default.nix b/pkgs/development/python-modules/wiktfinnish/default.nix
index c46068f7aa73605948bab72528361c46f9d62214..349b07a66814f7612db845e711a5c916fbc00c65 100644
--- a/pkgs/development/python-modules/wiktfinnish/default.nix
+++ b/pkgs/development/python-modules/wiktfinnish/default.nix
@@ -20,6 +20,5 @@     description = "Finnish morphology (including verb forms, comparatives, cases, possessives, clitics)";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/dict/gt4gd/default.nix b/pkgs/dict/gt4gd/default.nix
index 769a2adc61912574c8566a30e3cb6aa9515cac7e..66db05ad0f2e9eb8cccb9f9dd784c6c1a9b4c986 100644
--- a/pkgs/dict/gt4gd/default.nix
+++ b/pkgs/dict/gt4gd/default.nix
@@ -26,6 +26,5 @@     description = "Add Google translate to GoldenDict";
     inherit (src.meta) homepage;
     license = licenses.gpl3;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/dict/lsdreader/default.nix b/pkgs/dict/lsdreader/default.nix
index ae94761aba951078ae6588ac84e09d32343a1cc6..107a3c9170a5af7cf5d4463235c8c1dcfe8fa05d 100644
--- a/pkgs/dict/lsdreader/default.nix
+++ b/pkgs/dict/lsdreader/default.nix
@@ -18,6 +18,5 @@     description = "Decompile Lingvo LSD dictionary to DSL";
     inherit (src.meta) homepage;
     license = licenses.free;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/dict/opendict/default.nix b/pkgs/dict/opendict/default.nix
index 48cab2b343b7a169e10736bf835e53c63f043e5a..db44ea39695b60ab1bf38b709893a5d82c837bec 100644
--- a/pkgs/dict/opendict/default.nix
+++ b/pkgs/dict/opendict/default.nix
@@ -28,6 +28,5 @@     description = "Free multiplatform dictionary";
     homepage = "http://opendict.sf.net/";
     license = licenses.gpl2Plus;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/dict/tatoebatools/default.nix b/pkgs/dict/tatoebatools/default.nix
index 253476c31e168e57eee24fd3b8a456afa82c4f21..c98ee4aa7d79dcd4b2879c2bbc37d097fc91f6dd 100644
--- a/pkgs/dict/tatoebatools/default.nix
+++ b/pkgs/dict/tatoebatools/default.nix
@@ -31,7 +31,6 @@     description = "A library for downloading, updating and iterating over data files from Tatoeba";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/dict/wiktextract/default.nix b/pkgs/dict/wiktextract/default.nix
index ad44aa5d6de924f66ced1e82b1e77cd1af1f162e..3eeb09bdfc650a2a95fb2abd68ede01d020d6c65 100644
--- a/pkgs/dict/wiktextract/default.nix
+++ b/pkgs/dict/wiktextract/default.nix
@@ -33,6 +33,5 @@     description = "Wiktionary dump file parser and multilingual data extractor";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/dict/zdict/default.nix b/pkgs/dict/zdict/default.nix
index 941d96b20cf2011a2dd13b24620edf51d0a1d02d..a07049306458236c6f6023128d2ff47dbbaa68e7 100644
--- a/pkgs/dict/zdict/default.nix
+++ b/pkgs/dict/zdict/default.nix
@@ -35,7 +35,6 @@     description = "The last online dictionary framework you need";
     inherit (src.meta) homepage;
     license = licenses.gpl3;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/garmin/garmin-uploader/default.nix b/pkgs/garmin/garmin-uploader/default.nix
index 7c9c9a407759d621c497161f6389b4fb9d595213..be8011f10b2d0e3bfc3dcca63bfefd004ad5e087 100644
--- a/pkgs/garmin/garmin-uploader/default.nix
+++ b/pkgs/garmin/garmin-uploader/default.nix
@@ -22,6 +22,5 @@     description = "Garmin Connect Python Uploader";
     inherit (src.meta) homepage;
     license = licenses.gpl2;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gemini/qute-gemini/default.nix b/pkgs/gemini/qute-gemini/default.nix
index 815a6043ffcc8822a922e3ddd71feb20bc26559c..bc680e5860c5fe1c48c3f293da915bb8bbfc6c9e 100644
--- a/pkgs/gemini/qute-gemini/default.nix
+++ b/pkgs/gemini/qute-gemini/default.nix
@@ -23,6 +23,5 @@     description = "A qutebrowser userscripts that allows viewing Gemini pages";
     inherit (src.meta) homepage;
     license = licenses.gpl3Plus;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/elevation/default.nix b/pkgs/geospatial/elevation/default.nix
index 47342083b3e613022cfb0f1e9c29328c833c9e7c..c0f1eb30119530a7a460755a3da54149d7140989 100644
--- a/pkgs/geospatial/elevation/default.nix
+++ b/pkgs/geospatial/elevation/default.nix
@@ -52,6 +52,5 @@     description = "Python script to download global terrain digital elevation models, SRTM 30m DEM and SRTM 90m DEM";
     homepage = "http://elevation.bopen.eu/";
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/mbtiles2osmand/default.nix b/pkgs/geospatial/mbtiles2osmand/default.nix
index 7736e9fab7690d7224dd5185ac41c45ca3398c25..db08d2f14644d20893fba5099d2ee43ec21622ed 100644
--- a/pkgs/geospatial/mbtiles2osmand/default.nix
+++ b/pkgs/geospatial/mbtiles2osmand/default.nix
@@ -39,6 +39,5 @@     description = "Converts mbtiles format to sqlitedb format suitable for OsmAnd and RMaps";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/py-staticmaps/default.nix b/pkgs/geospatial/py-staticmaps/default.nix
index c9774464f5ee2574ca59161bf92f6afc3f881454..a6c333b8cd2d21f9b65c29f213e0122ada0aee56 100644
--- a/pkgs/geospatial/py-staticmaps/default.nix
+++ b/pkgs/geospatial/py-staticmaps/default.nix
@@ -20,6 +20,5 @@     description = "A python module to create static map images with markers, geodesic lines, etc";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/rio-mbtiles/default.nix b/pkgs/geospatial/rio-mbtiles/default.nix
index fb8f52881aea267883991e230dc116c9cfbc6e4a..d6004045511f8deeb94c01cf0c489f51c2eb44ea 100644
--- a/pkgs/geospatial/rio-mbtiles/default.nix
+++ b/pkgs/geospatial/rio-mbtiles/default.nix
@@ -30,7 +30,6 @@     description = "A plugin command for the Rasterio CLI that exports a raster dataset to an MBTiles 1.1 SQLite file";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }
diff --git a/pkgs/geospatial/supermercado/default.nix b/pkgs/geospatial/supermercado/default.nix
index a2bf4bd9f6e986fe2bafe6188c46d0cc91f5c55d..ee8aec5d081ac9ef34a6f8a296eaafcdd0635e8a 100644
--- a/pkgs/geospatial/supermercado/default.nix
+++ b/pkgs/geospatial/supermercado/default.nix
@@ -20,6 +20,5 @@     description = "Supercharger for mercantile";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/tilesets-cli/default.nix b/pkgs/geospatial/tilesets-cli/default.nix
index d991a8c5f1c92eed370693c9bdcb995397da7910..cb7df7eae2fca2282657d8d2ec551331afd7c0a2 100644
--- a/pkgs/geospatial/tilesets-cli/default.nix
+++ b/pkgs/geospatial/tilesets-cli/default.nix
@@ -34,6 +34,5 @@     description = "CLI for interacting with the Mapbox Tilesets API";
     homepage = "https://docs.mapbox.com/mapbox-tiling-service";
     license = licenses.bsd2;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/geospatial/tpkutils/default.nix b/pkgs/geospatial/tpkutils/default.nix
index e3204288937e967c5595a44978d90c0a609f4b43..7156f2b31a46a9d9ba148769653901bb60893d98 100644
--- a/pkgs/geospatial/tpkutils/default.nix
+++ b/pkgs/geospatial/tpkutils/default.nix
@@ -20,6 +20,5 @@     description = "ArcGIS Tile Package Utilities";
     inherit (src.meta) homepage;
     license = licenses.isc;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpx/cmpgpx/default.nix b/pkgs/gpx/cmpgpx/default.nix
index 34512a81bb5dc5c23225496bb01e6476b4ea47ea..675be991d2deeb11868cc651e4a01fe7ab68a774 100644
--- a/pkgs/gpx/cmpgpx/default.nix
+++ b/pkgs/gpx/cmpgpx/default.nix
@@ -27,6 +27,5 @@     description = "Show the differences between GPX files";
     inherit (src.meta) homepage;
     license = licenses.unlicense;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpx/gpx-cmd-tools/default.nix b/pkgs/gpx/gpx-cmd-tools/default.nix
index 3df2283e62de017655b04311849313f08f0ac9d0..335f2dca12ad7eeb8331ec14a3fe8f3a958e2aed 100644
--- a/pkgs/gpx/gpx-cmd-tools/default.nix
+++ b/pkgs/gpx/gpx-cmd-tools/default.nix
@@ -18,6 +18,5 @@     description = "Set of GPX command-line utilities";
     inherit (src.meta) homepage;
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpx/gpx-interpolate/default.nix b/pkgs/gpx/gpx-interpolate/default.nix
index af5c4b1c87740e1b1492a3a21a98d8b77d4cd07d..0dcdc3a49c506ea72a322c5565116a1e673e6051 100644
--- a/pkgs/gpx/gpx-interpolate/default.nix
+++ b/pkgs/gpx/gpx-interpolate/default.nix
@@ -28,6 +28,5 @@     description = "Python script to interpolate GPX files using linear or spline interpolation";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpx/gpxtrackposter/default.nix b/pkgs/gpx/gpxtrackposter/default.nix
index fe9d9a23efe1fcae0ac14dc64c1b2d3fdf121dad..49efc0d3d997731b0aa6a79d4a2b65c966ddcb48 100644
--- a/pkgs/gpx/gpxtrackposter/default.nix
+++ b/pkgs/gpx/gpxtrackposter/default.nix
@@ -54,6 +54,5 @@     description = "Create a visually appealing poster from your GPX tracks";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/misc/apibackuper/default.nix b/pkgs/misc/apibackuper/default.nix
index f7bd38f505faee3659e506f991a630beac7deb39..09a5caba8f584ce728c35513020d2842f22b031a 100644
--- a/pkgs/misc/apibackuper/default.nix
+++ b/pkgs/misc/apibackuper/default.nix
@@ -20,6 +20,5 @@     description = "Python library and cmd tool to backup API calls";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/misc/docx2csv/default.nix b/pkgs/misc/docx2csv/default.nix
index b15512667178b3b6683aeac1bbf1d8a43668c866..ca7f76a689850a96552812a02722c0b7b8e6b630 100644
--- a/pkgs/misc/docx2csv/default.nix
+++ b/pkgs/misc/docx2csv/default.nix
@@ -18,6 +18,5 @@     description = "Extracts tables from .docx files and saves them as .csv or .xls files";
     inherit (src.meta) homepage;
     license = licenses.bsd3;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/misc/lazyscraper/default.nix b/pkgs/misc/lazyscraper/default.nix
index 562a6b3893d874719e9029884fc7e5fec70bdeb6..46d22680f3eba170f684ca16d66ae0d3c927caed 100644
--- a/pkgs/misc/lazyscraper/default.nix
+++ b/pkgs/misc/lazyscraper/default.nix
@@ -20,6 +20,5 @@     description = "Lazy helper tool to make easier scraping with simple tasks";
     inherit (src.meta) homepage;
     license = licenses.asl20;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/misc/morse-talk/default.nix b/pkgs/misc/morse-talk/default.nix
index 7426f094d9a029ebc5898c4e00be54363d82c15d..48f287cb5daeb4078dc47bea53e5aa0dcd5a61c0 100644
--- a/pkgs/misc/morse-talk/default.nix
+++ b/pkgs/misc/morse-talk/default.nix
@@ -21,7 +21,6 @@     description = "A Python library written for Morse Code";
     inherit (src.meta) homepage;
     license = licenses.gpl2;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin;
   };
 }
diff --git a/pkgs/nakarte/map-tiler/default.nix b/pkgs/nakarte/map-tiler/default.nix
index 2c48ba4e87e2d66d784a300cbf2969cc78721be3..2b8bff866f0b43bb85c1b4fdf927b45b8ff93fef 100644
--- a/pkgs/nakarte/map-tiler/default.nix
+++ b/pkgs/nakarte/map-tiler/default.nix
@@ -64,7 +64,6 @@     description = "Raster maps to map tiles";
     inherit (src.meta) homepage;
     license = licenses.free;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin;
   };
 }
diff --git a/pkgs/osm/map-machine/default.nix b/pkgs/osm/map-machine/default.nix
index ca01ed2271f6577201f30c7bbb2d88c006506f10..9a1f80e302d90951e419806df69baa48dc8d4ccd 100644
--- a/pkgs/osm/map-machine/default.nix
+++ b/pkgs/osm/map-machine/default.nix
@@ -36,6 +36,5 @@     description = "A simple renderer for OpenStreetMap with custom icons";
     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/osm/map-stylizer/default.nix b/pkgs/osm/map-stylizer/default.nix
index 19ef9e08de51b923b8c26fe62c588a68299a4920..c487d48a2d5a549ef9aa2de6a2598713e1b8d220 100644
--- a/pkgs/osm/map-stylizer/default.nix
+++ b/pkgs/osm/map-stylizer/default.nix
@@ -37,6 +37,5 @@     description = "GUI written in Python to parse OSM (OpenStreetMap) files and render them onscreen";
     inherit (src.meta) homepage;
     license = licenses.gpl3;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/osm/phyghtmap/default.nix b/pkgs/osm/phyghtmap/default.nix
index 6bf0528e68df9597da00c02efe237cecd2aad1b9..e4775077845b7c2ad7809bb540378941439f3b71 100644
--- a/pkgs/osm/phyghtmap/default.nix
+++ b/pkgs/osm/phyghtmap/default.nix
@@ -20,7 +20,6 @@     description = "Generate OSM contour lines from NASA SRTM data";
     homepage = "http://katze.tfiu.de/projects/phyghtmap";
     license = licenses.gpl2Plus;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
     broken = stdenv.isDarwin; # https://github.com/NixOS/nixpkgs/issues/137678
   };
 }