diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 64d49b8d26b2c1dd22bd920d10f1d4fef0e2948d..c9ff3b7131c5910a8b7dd52884aba4f670c3251f 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -24,7 +24,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2021-01-02";
+  version = "2021-06-05";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 8e282ae4ba23623168e0178d06dd89e271470483..c948fb86df057b42bd0ec666dac053b16a35c543 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,98 +1,98 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "sha256": "0b7p7y1p5vcx5q0mam0gn5m4m0w11gblycda9x658yl7na678wkz"
+    "hash": "sha256-RpOV1FouUZMy7fBJ11fn/3QWA+ILxyjBGTv/TWxRfCI="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "sha256": "02gpravd8dma43gshc86ybzns8igzbhnk35x2qmwm8cbdd4mb915"
+    "hash": "sha256-FL+k3LulpRmymL4mMTLeplbKJv2ErKnyjndD5ofDx4c="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "sha256": "1sjs42ffz37x209glblc18y4cby5j9lhnyyb4iw0bir3h4r0jgvc"
+    "hash": "sha256-5mH/v1ZhUk5w52XLN4gEt9SoicECbxVoWaQQojacgyk="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "sha256": "0rpkvwcnzpsg8msb65c297cngfcnz9cdzf9x28b5fy30l5fy7spz"
+    "hash": "sha256-71KKi3blP8HBmNuB6KB7Bx1lfjRa8qqGUEvbFcc3REs="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "sha256": "15msyh0rw0mx6840phvkr0r9hydga0vkgk1ypbsid7qn979nmhsc"
+    "hash": "sha256-nh89cq0/wNJ4BFCpZ+jLpfVWY95PVzcaNFg9sk37WH0="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "sha256": "0xkgjpl2v8kzmk4r601b07xdfnrgbk5w10s27bk8fzhyccnxql3g"
+    "hash": "sha256-fy/cC2xhwVw9O54AK/Pva/ybdfWaIRawQkCElOWg9Ag="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "sha256": "04w5xhb3vw1q1sxsshngdikhi407fv7r0473ac2cmkg03ycnizw0"
+    "hash": "sha256-fyNpcx6TdyPDEEoZpJpLsWhfA3Rqw0Al0/t41ZTJHdE="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "sha256": "0k1y9xqaz21q0bpb427q9ia04vbhnbw985an61flq071f8srwrvl"
+    "hash": "sha256-0TCJ92Lehmk2JBr4HkW15oNSq2gn+gSRdh7SaTcOBV4="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "sha256": "1yi5218l0i7g82c8nbhh8d9xk9lzy1dgmncm43pbrsp2xw3k137w"
+    "hash": "sha256-glO2GBi1hxCCTcwMqxN2uoN1lF4ZkgYCj0etHARnQYw="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "sha256": "1sxcjf50hi2i4hbdas89l6w4q6njn8j02gwa7glp4nfpzmdmp9sg"
+    "hash": "sha256-K+3G/bSvkJlq7okM4Fa13kUQWTGkzUBRqfdUW1sI8c8="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "sha256": "1smrdamks9n0xiklfpna83dqkd47alkklxk4wjmz5m1jq3kl31f6"
+    "hash": "sha256-Kyf85NpVnEkwmPsjLdL5GWCjbXNc74g4EbGkzV2MU7w="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "sha256": "1wbi2wjv0j55ii07kxnsw8bl60vv61bmzdnqlcnv2w9dbj4821jf"
+    "hash": "sha256-/yDCPDZLMjJu/kvwzX8uycE+EGU/9S2vkA1ZUM6KzPs="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "sha256": "0ic5yja25hj5hyizgqh4gqf06n76z70kpg54b4pfvbijc3gg69nx"
+    "hash": "sha256-9XzA5PHmJo1wsoaoBG1rlHw0vwaTRzn+XkK/s4uP14g="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "sha256": "0i0n91kzp2567z64pkphm7cpbw1sk4v430xqgclb7bnxjr12rykq"
+    "hash": "sha256-nN+zsfS0blCnXT3dzSd9oXXvldw1Zimj0zF5e1ZeZzc="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "sha256": "1pfhcnzc5lyfj6kww5yrvxgp9fj1xhnjb20b89mlklk7dxw4q9qa"
+    "hash": "sha256-Vj+EdQYu04fOENf5pTBDtca8+Sptbnr/IpdkqcNCLWg="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "sha256": "0f8jjmzy7y7rkjfn80vy9xnli5dmpi4ggvarnpd9z5gjj38vh06c"
+    "hash": "sha256-rKMpTRmckNu1Tn+TosyLd7EigZsJJCoptFEEbG3A5jg="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
-    "sha256": "1ryja7587cmvyh63jcmpnqis7nlwmk6igbllirfsrflyja2q108p"
+    "hash": "sha256-2VDCFioU9jID7MqdPK12A4bLH0RU5YrOCgLtnKrUlKA="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "sha256": "11mh6knyjl89an25ip1nhbj5i6sh0vwgf41lcdlx7igq4p5pz5ic"
+    "hash": "sha256-qtCeuSn9JElhK1QPE/ap9C6iLM7umlp88YiwTVOdTCk="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "sha256": "1fp41484817rj56i3zdzksaf6v6277jnj1vj1jmdqbznmnb8d00j"
+    "hash": "sha256-EHRfDYrgA7c9g82cG8GEUsOc0ImQIjnDYUTq1AK5+Xw="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "sha256": "0aghs986yli9fjv9406anbkhs52vb5p0bhbal9jbszhfsmfbr4nq"
+    "hash": "sha256-hnOK5nLlsa5T7aUK2pWTPD1SZWJ8OxNEOfiazsy4p84="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
-    "sha256": "0qx2fvysxxdgazqn2g0jf4n3i2rkz42ih54cw4lnw5ah26qwq0ks"
+    "hash": "sha256-aZVsYuMvRN46TVeQeT9pXk3h7CuGAuXK8Egz1yk/uMI="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "sha256": "00khdx9r6277x36bpcm2b7fxdq7mjysnypnkvmbshb1bkvy00jah"
+    "hash": "sha256-jHDv9JVMP11IH5RQmIspFDoj+2GKVt/izvrOE4WC1Zs="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "sha256": "19y2j82cdm3p220bsn3fzd0gl4r7249vhh771kz41gp0nzp9w2xl"
+    "hash": "sha256-856wOKCb/MA8n9ktdKd8nur09B/iJFKIQW56aYBaKNI="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "sha256": "0d9nqm8g160azylyw19cj9hb8hj9gr10fhb6hwfrcf1gqvz1xljv"
+    "hash": "sha256-wZ/r+1OngvDe32FSoV8Ubd8CYtEN4cGxMOi/jeNv2fE="
   }
 }
diff --git a/pkgs/data/maps/maptourist/default.nix b/pkgs/data/maps/maptourist/default.nix
index e8980e5a106b6a6b7ea08fb46b32562d9bf76629..cc597e9fc2c13bed5b1b30ec9c9facdcd83efc7e 100644
--- a/pkgs/data/maps/maptourist/default.nix
+++ b/pkgs/data/maps/maptourist/default.nix
@@ -2,11 +2,11 @@ { lib, stdenvNoCC, fetchurl, unzip }:
 
 stdenvNoCC.mkDerivation rec {
   pname = "maptourist";
-  version = "2021-06-01";
+  version = "2021-06-10";
 
   src = fetchurl {
     url = "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_${version}.zip";
-    hash = "sha256-2oWu9suM5VtJOEkImZC8gEd/ZBeMizbKNrWjHfJn5vw=";
+    hash = "sha256-EMsvlpOi3h2If14/rReWIu+2oZ0AEGUCQ2MihEXbGQY=";
   };
 
   sourceRoot = ".";
diff --git a/pkgs/data/misc/osm-extracts/default.nix b/pkgs/data/misc/osm-extracts/default.nix
index 90d2e49696aa8dad6a17b7076324fabb9a919998..b6c5be987a48ccfddb12d172c26deb2944eaf7e0 100644
--- a/pkgs/data/misc/osm-extracts/default.nix
+++ b/pkgs/data/misc/osm-extracts/default.nix
@@ -17,11 +17,11 @@ in
 {
   admin-boundaries = stdenv.mkDerivation rec {
     pname = "osm-admin-boundaries";
-    version = "210601";
+    version = "210609";
 
     src = fetchurl {
       url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-      hash = "sha256-1uIgpUdRVfrQKSHXJFYcHWMDaY2c4cxeYe44Jcs4RCI=";
+      hash = "sha256-iWuA3Lg3JzaKA4ru8rNH9LjN3dDysEMviXID9O40kao=";
     };
 
     dontUnpack = true;
diff --git a/pkgs/data/misc/routinodb/default.nix b/pkgs/data/misc/routinodb/default.nix
index 3ab05d4afa7db9a7fcd8bde7f4076139a5ac2d2c..67250a3c98dd7e76d4bacdc6b9537640b65d814d 100644
--- a/pkgs/data/misc/routinodb/default.nix
+++ b/pkgs/data/misc/routinodb/default.nix
@@ -2,20 +2,20 @@ { lib, stdenv, fetchurl, routino }:
 
 stdenv.mkDerivation rec {
   pname = "routinodb";
-  version = "210515";
+  version = "210609";
 
   srcs = [
     (fetchurl {
       url = "https://download.geofabrik.de/europe/finland-${version}.osm.pbf";
-      hash = "sha256-1EW8Gi75RFsTm/5cuiDP4nReDEfWDxYut7Iy2uK8P7s=";
+      hash = "sha256-L5l1kD1akfQVw6JM6T9eDc2eL0/yXwRclccsivhaIcI=";
     })
     (fetchurl {
       url = "https://download.geofabrik.de/europe/estonia-${version}.osm.pbf";
-      hash = "sha256-6pZQi8R1qD9jf0K94oObRkpKWnjAyxriQmnB7Y1jAHg=";
+      hash = "sha256-pdTKnYC+NpPWzdLsX8QUGe8E3EjKodBh4Nq+q8ffgVE=";
     })
     (fetchurl {
       url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-      hash = "sha256-+rRNt9/aZK+OyuGDueNaa5nsx4yHOlg4W149VrZIBvs=";
+      hash = "sha256-iWuA3Lg3JzaKA4ru8rNH9LjN3dDysEMviXID9O40kao=";
     })
   ];
 
diff --git a/pkgs/gemini/gloggery/default.nix b/pkgs/gemini/gloggery/default.nix
index 26136414db5bed135f361cbb21f5f91d6581a574..81a0b8d9b15b35340ec8a2a9dc3397a54bc849b3 100644
--- a/pkgs/gemini/gloggery/default.nix
+++ b/pkgs/gemini/gloggery/default.nix
@@ -2,12 +2,12 @@ { lib, stdenv, fetchFromGitHub, go }:
 
 stdenv.mkDerivation rec {
   pname = "gloggery";
-  version = "2020-10-11";
+  version = "1.0";
 
   src = fetchFromGitHub {
     owner = "kconner";
     repo = pname;
-    rev = "49707b008cd6e3fb3ecb453a472051644fb319eb";
+    rev = "v${version}";
     hash = "sha256-tWTJXRtm/8cSEbK40fi9PVOg9w/qC0CBFZWyT7vSo80=";
   };
 
diff --git a/pkgs/gemini/kineto/default.nix b/pkgs/gemini/kineto/default.nix
index 576cb0d43ec78796bbaf239e7b5cc46f12c1f115..975dd0c1c3117b410ff5dc1d2f73b31aa40f183a 100644
--- a/pkgs/gemini/kineto/default.nix
+++ b/pkgs/gemini/kineto/default.nix
@@ -2,13 +2,13 @@ { lib, buildGoModule, fetchFromSourcehut }:
 
 buildGoModule rec {
   pname = "kineto";
-  version = "2021-02-25";
+  version = "2021-05-31";
 
   src = fetchFromSourcehut {
     owner = "~sircmpwn";
     repo = pname;
-    rev = "edd4fe31f16f9eb9565d2b6a329738ceedea8de9";
-    hash = "sha256-qRBD9b4Vtb23pzsnSwbNly/EUtptCdmM+gq2HMt3jbY=";
+    rev = "988a00f1266ca3b9224235c504a1976f06f841cd";
+    hash = "sha256-GmnoxeOGNlVJlKmWG0mBRWCcB1VwLlsFtyPXO8LDN/U=";
   };
 
   vendorSha256 = "sha256-+CLJJ4najojIE/0gMlhZxb1P7owdY9+cTnRk+UmHogk=";
diff --git a/pkgs/gis/mapsoft/2.nix b/pkgs/gis/mapsoft/2.nix
index 076190316056897ce7648ebe3d625bf20aa51fca..a2238353578c06d4ec1e325c95dbab22631351d8 100644
--- a/pkgs/gis/mapsoft/2.nix
+++ b/pkgs/gis/mapsoft/2.nix
@@ -31,7 +31,7 @@     owner = "slazav";
     repo = pname;
     #rev = "${version}-alt1";
     rev = "0986827ffe1d733c815e5002ba027904b65b4088";
-    sha256 = "05zq3fk11wylfzkjpc51sv0lf279wbbpdf1ivm9c7j6m73vvh7md";
+    sha256 = "sha256-rR649zjVyMNS3TG4dtfi6QhHwdahsCvnd9TzEKYb+Bc=";
     fetchSubmodules = true;
   };
 
diff --git a/pkgs/nakarte/nakarte/default.nix b/pkgs/nakarte/nakarte/default.nix
index 54745ba8126d977d13f4b6b1404ab37582f3539c..d727d92b5bbb4c131ca82f15a35d74344dd28fb4 100644
--- a/pkgs/nakarte/nakarte/default.nix
+++ b/pkgs/nakarte/nakarte/default.nix
@@ -1,7 +1,7 @@
 { lib, stdenv, mkYarnPackage, fetchFromGitHub, secretsConfig ? null }:
 let
   pname = "nakarte";
-  version = "2021-05-10";
+  version = "2021-05-26";
 in
 mkYarnPackage {
   name = "${pname}-${version}";
@@ -9,8 +9,8 @@
   src = fetchFromGitHub {
     owner = "wladich";
     repo = pname;
-    rev = "bf99c7ed4a2cd39af667f21b68e39619a7c38f07";
-    hash = "sha256-W1lUZvff4TGxwP9+LOeJ9Sr+cGtSlDrx1iFrxkkPRfM=";
+    rev = "0ff218eac60f4d383f4634aef525331173fe1b97";
+    hash = "sha256-DO02Ygyq7hlux88HlJzmA9glAOVSlo0UJ7LCbbY8E2E=";
   };
 
   postPatch =
diff --git a/pkgs/suckless/imscript/default.nix b/pkgs/suckless/imscript/default.nix
index e45d82e27fc0ee03af546367e12e4f84a372283b..8fc0047edc018981f32ba2183c98c4dfd19a9fcb 100644
--- a/pkgs/suckless/imscript/default.nix
+++ b/pkgs/suckless/imscript/default.nix
@@ -2,13 +2,13 @@ { lib, stdenv, fetchFromSourcehut, libpng, libjpeg, libtiff, fftwFloat, libX11, gsl }:
 
 stdenv.mkDerivation rec {
   pname = "imscript";
-  version = "2021-05-21";
+  version = "2021-06-10";
 
   src = fetchFromSourcehut {
     owner = "~coco";
     repo = pname;
-    rev = "74270602e54c3d32ba93766d3a21fca0d846ea32";
-    hash = "sha256-uY9Y8u46mZNtlIqIQWE2/g8skRTnk/cTBkwERiG7b/g=";
+    rev = "0fb0054ae8f8455a09d8c7f06740a2b24397d1c6";
+    hash = "sha256-zQCSFBEp3Ye+FHRjXYphAxpsdbNKPaZCKHrFNQbGJoQ=";
   };
 
   buildInputs = [ libpng libjpeg libtiff fftwFloat libX11 gsl ];
diff --git a/pkgs/suckless/sfeed/default.nix b/pkgs/suckless/sfeed/default.nix
index f3a99ee08b0b9b13e94dfbf5f0030e72bcd2ce2a..014b1662c2b2f084edd837eb2b57e4cde4002ddf 100644
--- a/pkgs/suckless/sfeed/default.nix
+++ b/pkgs/suckless/sfeed/default.nix
@@ -2,12 +2,12 @@ { lib, stdenv, fetchgit }:
 
 stdenv.mkDerivation rec {
   pname = "sfeed";
-  version = "0.9.22";
+  version = "0.9.24";
 
   src = fetchgit {
     url = "git://git.codemadness.org/sfeed";
     rev = version;
-    sha256 = "1wgsghc07k5mndfz1bzk2ziiw63x5zg5d5qxnxqg8r74f6lj9g9l";
+    sha256 = "sha256-nwvY79Xj/p7Z8npgq62RFOpG6Z8i7OsmLvQSrGD7LNA=";
   };
 
   makeFlags = [ "PREFIX=$(out)" ];