diff --git a/pkgs/garmin/gimgtools/default.nix b/pkgs/garmin/gimgtools/default.nix
index 72ad4728a79981c639ba319d67f4aced93807af0..825a35d2203dbd751c038ba1c3c2a88281ef8d27 100644
--- a/pkgs/garmin/gimgtools/default.nix
+++ b/pkgs/garmin/gimgtools/default.nix
@@ -32,5 +32,6 @@     homepage = "https://github.com/wuyongzheng/gimgtools";
     license = lib.licenses.gpl2;
     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.unix;
+    broken = stdenv.isDarwin;
   };
 })
diff --git a/pkgs/geospatial/cogeo-mosaic/default.nix b/pkgs/geospatial/cogeo-mosaic/default.nix
index 3833c9bce3e10adde3edbf374b223b1dbfbd3f01..9c5914a0f5b9ef4212f7843b41b2aaec205b9023 100644
--- a/pkgs/geospatial/cogeo-mosaic/default.nix
+++ b/pkgs/geospatial/cogeo-mosaic/default.nix
@@ -7,14 +7,14 @@ }:
 
 python3Packages.buildPythonPackage rec {
   pname = "cogeo-mosaic";
-  version = "7.1.0";
+  version = "8.0.0";
   pyproject = true;
 
   src = fetchFromGitHub {
     owner = "developmentseed";
     repo = "cogeo-mosaic";
     rev = version;
-    hash = "sha256-FJJZvLGBEZpVyfXBqmz6r1obx4HrKmtK0dWusItX3j4=";
+    hash = "sha256-liBYUXrzSTm7EqLmKkK838XzOKZDKPfAlGlc6m4xSHU=";
   };
 
   build-system = with python3Packages; [
diff --git a/pkgs/geospatial/geojson-pydantic/default.nix b/pkgs/geospatial/geojson-pydantic/default.nix
index 360cfb4e28e361b65aad52c3cd25dc568b2d3617..998acc643316d7927aa241f120577b19e6e5b715 100644
--- a/pkgs/geospatial/geojson-pydantic/default.nix
+++ b/pkgs/geospatial/geojson-pydantic/default.nix
@@ -6,14 +6,14 @@ }:
 
 python3Packages.buildPythonPackage rec {
   pname = "geojson-pydantic";
-  version = "1.1.0";
+  version = "1.1.2";
   pyproject = true;
 
   src = fetchFromGitHub {
     owner = "developmentseed";
     repo = "geojson-pydantic";
     rev = version;
-    hash = "sha256-bNNLeHFIZYX34b0ceXPPMRIBR4MbMXpMO9gH2HBFKCY=";
+    hash = "sha256-QPVoIJLG/ICbaZZ0ZpySm2SGRtYXII7ldJDC3sWinRw=";
   };
 
   build-system = with python3Packages; [ flit ];
diff --git a/pkgs/geospatial/localtileserver/default.nix b/pkgs/geospatial/localtileserver/default.nix
index 614b019b11d8c50a71fa794fb3806427fda61e90..3eff63a4469e0961f82f75dc85156b1e9b705982 100644
--- a/pkgs/geospatial/localtileserver/default.nix
+++ b/pkgs/geospatial/localtileserver/default.nix
@@ -32,7 +32,10 @@     scooby
     werkzeug
   ];
 
-  nativeCheckInputs = with python3Packages; [ pytestCheckHook ];
+  nativeCheckInputs = with python3Packages; [
+    pytestCheckHook
+    matplotlib
+  ];
 
   disabledTests = [
     "test_create_tile_client"
diff --git a/pkgs/geospatial/mobroute/default.nix b/pkgs/geospatial/mobroute/default.nix
index 4109083ff4526de301355feec7ac7845e592cbd6..c5bd6dd472ab0cca11aa59100142f1e59f2dd498 100644
--- a/pkgs/geospatial/mobroute/default.nix
+++ b/pkgs/geospatial/mobroute/default.nix
@@ -36,5 +36,6 @@     homepage = "https://sr.ht/~mil/mobroute";
     license = lib.licenses.mit;
     maintainers = [ lib.maintainers.sikmir ];
     mainProgram = "mobroute";
+    skip.ci = true;
   };
 }
diff --git a/pkgs/geospatial/mobsql/default.nix b/pkgs/geospatial/mobsql/default.nix
index 48a1138eedc3be761619ac65a2e7ac4c3d5183f4..521197fa18a63881a2a097ab8ec5a6e8465b7e35 100644
--- a/pkgs/geospatial/mobsql/default.nix
+++ b/pkgs/geospatial/mobsql/default.nix
@@ -30,5 +30,6 @@     homepage = "https://sr.ht/~mil/mobsql";
     license = lib.licenses.gpl3Plus;
     maintainers = [ lib.maintainers.sikmir ];
     mainProgram = "mobsql";
+    skip.ci = true;
   };
 }
diff --git a/pkgs/geospatial/rio-cogeo/default.nix b/pkgs/geospatial/rio-cogeo/default.nix
index c8251ab7429de8132243f1850763e3dc1abe027b..562271903a3b5d5b6d1236776aa70803d6c9c4ac 100644
--- a/pkgs/geospatial/rio-cogeo/default.nix
+++ b/pkgs/geospatial/rio-cogeo/default.nix
@@ -27,6 +27,8 @@     morecantile
     pydantic
   ];
 
+  pythonRelaxDeps = [ "morecantile" ];
+
   doCheck = false;
 
   nativeCheckInputs = with python3Packages; [
diff --git a/pkgs/geospatial/rsgislib/default.nix b/pkgs/geospatial/rsgislib/default.nix
index d46ca38c2a929a5f75df5b40cc57cfc363c8063e..a04198c271965beab8bde265cb70edcd46f3668e 100644
--- a/pkgs/geospatial/rsgislib/default.nix
+++ b/pkgs/geospatial/rsgislib/default.nix
@@ -41,5 +41,6 @@     homepage = "https://www.rsgislib.org/";
     license = lib.licenses.gpl3Plus;
     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.unix;
+    skip.ci = true;
   };
 })
diff --git a/pkgs/geospatial/titiler/default.nix b/pkgs/geospatial/titiler/default.nix
index c4acc70b2a2e94b8f3907d02089cba724614efc5..b827f630b26c836a2e68ccc5ef3e53847c744e2d 100644
--- a/pkgs/geospatial/titiler/default.nix
+++ b/pkgs/geospatial/titiler/default.nix
@@ -10,13 +10,13 @@   cogeo-mosaic,
 }:
 let
   pname = "titiler";
-  version = "0.19.0";
+  version = "0.19.1";
 
   src = fetchFromGitHub {
     owner = "developmentseed";
     repo = "titiler";
     rev = version;
-    hash = "sha256-f8cfkqmO4TeNHUbJNxx6UOn2Q0aYuchr5JWWdvDVvq4=";
+    hash = "sha256-Ebz9o0wbUnctIx03ywm0k3t90fnw77fH6XUmv4J2G0c=";
   };
 
   meta = {
diff --git a/pkgs/gpx/garta/default.nix b/pkgs/gpx/garta/default.nix
index a37540359085b70d54d3ec32110612c2fa8da078..275e2943e684428c934fdfb46076e154d265b71e 100644
--- a/pkgs/gpx/garta/default.nix
+++ b/pkgs/gpx/garta/default.nix
@@ -78,5 +78,6 @@     description = "Geo-bookmarking, GPX viewer, analyzer and editor for GTK3";
     homepage = "https://gitlab.com/timosaarinen/garta";
     license = lib.licenses.gpl3Plus;
     maintainers = [ lib.maintainers.sikmir ];
+    skip.ci = true;
   };
 }
diff --git a/pkgs/misc/ajv-cli/default.nix b/pkgs/misc/ajv-cli/default.nix
index e1059d4e26af6d5c2f5ed9331f2570b2ea0026bb..72621977ba9b36d764a381debd3e59baecf0a8f7 100644
--- a/pkgs/misc/ajv-cli/default.nix
+++ b/pkgs/misc/ajv-cli/default.nix
@@ -22,5 +22,6 @@     description = "Command-line interface for Ajv JSON Validator";
     homepage = "https://github.com/jirutka/ajv-cli";
     license = lib.licenses.mit;
     maintainers = [ lib.maintainers.sikmir ];
+    skip.ci = true;
   };
 }
diff --git a/pkgs/misc/diagon/default.nix b/pkgs/misc/diagon/default.nix
index 14522d014ea98d6a187fc0b31e9e679695f6bed3..2ff87833c988284692fb893bb33bdf98fc755b94 100644
--- a/pkgs/misc/diagon/default.nix
+++ b/pkgs/misc/diagon/default.nix
@@ -64,9 +64,9 @@   ];
 
   buildInputs = [ boost ];
 
-  cmakeFlags = [ (lib.cmakeBool "DIAGON_BUILD_TESTS" true) ];
+  cmakeFlags = [ (lib.cmakeBool "DIAGON_BUILD_TESTS" finalAttrs.doCheck) ];
 
-  doCheck = true;
+  doCheck = false;
 
   postCheck = ''
     ./input_output_test
@@ -78,6 +78,6 @@     homepage = "https://github.com/ArthurSonzogni/Diagon";
     license = lib.licenses.mit;
     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.unix;
-    broken = true;
+    skip.ci = true;
   };
 })
diff --git a/pkgs/misc/riffraff/default.nix b/pkgs/misc/riffraff/default.nix
index f9d31c0e82d168757532ed69a2bcdc121ef61036..920874ad630d5f46d02e2e5e81763e2bba5c3413 100644
--- a/pkgs/misc/riffraff/default.nix
+++ b/pkgs/misc/riffraff/default.nix
@@ -22,20 +22,23 @@   vendorHash = null;
 
   nativeBuildInputs = [ installShellFiles ];
 
-  postInstall =
-    let
-      riffraff =
-        if stdenv.buildPlatform.canExecute stdenv.hostPlatform then
-          placeholder "out"
-        else
-          buildPackages.riffraff;
-    in
-    ''
-      installShellCompletion --cmd riffraff \
-        --bash <(${riffraff}/bin/riffraff completion bash) \
-        --fish <(${riffraff}/bin/riffraff completion fish) \
-        --zsh <(${riffraff}/bin/riffraff completion zsh)
-    '';
+#  postInstall =
+#    let
+#      riffraff =
+#        if stdenv.buildPlatform.canExecute stdenv.hostPlatform then
+#          placeholder "out"
+#        else
+#          buildPackages.riffraff;
+#    in
+#    ''
+#      export JENKINS_URL="http://example.com/"
+#      export JENKINS_USER="username"
+#      export JENKINS_PW="password"
+#      installShellCompletion --cmd riffraff \
+#        --bash <(${riffraff}/bin/riffraff completion bash) \
+#        --fish <(${riffraff}/bin/riffraff completion fish) \
+#        --zsh <(${riffraff}/bin/riffraff completion zsh)
+#    '';
 
   meta = {
     description = "A commandline interface for Jenkins";
diff --git a/pkgs/misc/zwave-js-ui/default.nix b/pkgs/misc/zwave-js-ui/default.nix
index f866885c5c014ae1c73d170a1ac9f7973d535e8c..ffa6102e4f2561f84301862e73fb7bc908f4bc0d 100644
--- a/pkgs/misc/zwave-js-ui/default.nix
+++ b/pkgs/misc/zwave-js-ui/default.nix
@@ -25,5 +25,6 @@     description = "Full featured Z-Wave Control Panel UI and MQTT gateway";
     homepage = "https://zwave-js.github.io/zwave-js-ui";
     license = lib.licenses.mit;
     maintainers = [ lib.maintainers.sikmir ];
+    skip.ci = true;
   };
 }