diff --git a/flake.lock b/flake.lock
index bb62acfd7b3e4782fd988844283bf800bc2fd8db..55e11a8571b05be74a8696237c50182e6575b2ad 100644
--- a/flake.lock
+++ b/flake.lock
@@ -17,11 +17,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1673606088,
-        "narHash": "sha256-wdYD41UwNwPhTdMaG0AIe7fE1bAdyHe6bB4HLUqUvck=",
+        "lastModified": 1674236650,
+        "narHash": "sha256-B4GKL1YdJnII6DQNNJ4wDW1ySJVx2suB1h/v4Ql8J0Q=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "37b97ae3dd714de9a17923d004a2c5b5543dfa6d",
+        "rev": "cfb43ad7b941d9c3606fb35d91228da7ebddbfc5",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 58c759f34d19ed0ba0e94cb4f6322ea51ce78316..5c52397d04bd093123b0c835cdc0ab2de712b9d7 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -32,7 +32,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2023-01-14";
+  version = "2023-01-21";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index b3c8d7f6adde33d20ad9c2e33289df2a9301dea3..633c90d5e7cbef43b01c957c41703c4121e62a13 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,83 +1,83 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LIfWDVPO2W6D5XLHtnaB0WRwMVxb0pNTVMM+PQ5SOfY="
+    "hash": "sha256-Lgr2grv0lYHNdl0RSZ5ZqR9tpnI7Tk7oPerFkhOpUds="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-qPHA9c6hYgw1YPlaCHJDx7HnlFDKfk88KwfkVGxsq6o="
+    "hash": "sha256-vexX8y6l1q4juNcvMFyq7IXn0MSFziiqnJLO7vwYTa4="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-fVSSElNxnnjJwcKiCd5PDSsTx3M0JOV6eOatXiODYeE="
+    "hash": "sha256-HajOa0Q9Rk1r7vhZ/2KumAzgbQn6XoxRc6EW37Y2Ujs="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-7/F+KOChuMiXrRFUYjzksCz/YNE18h6pRG7gxfvBrXE="
+    "hash": "sha256-Amj5QuBUsZ0apXxvI2k4wPS4VBujbf51TN3deeZZCes="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-y56tV9ATPYxx8IWSMauUp7Q5FgC77St6aYQrnsBZvjs="
+    "hash": "sha256-YAFkTPLdKF4mHiCRqWQ5z/7s9OCDZHqr6pzKHN14uzA="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LzUTeLsA6mtaG/fDkkC0SCHW5uigwLOndawl+EPW6ug="
+    "hash": "sha256-r+oSlM7Sj9IWBGPe52K1FIMju6qWAHrKIJ8yAABVsdo="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-rdJkOLIDokF1k4G9+v9kgxuPmo+0q+OUAxY1AMksHTg="
+    "hash": "sha256-QCGqAQLJb5RPlMh0+9pLNlh7dij974OQLmSj56q8pu0="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-17BSuvlVbD7hCaubxf25/FUDp7Y0RlwNL/IllwnS7JQ="
+    "hash": "sha256-ZbiPTP5vu5+oxXIQVgUpPTsFjlwnFo5uFfmsVV8yrto="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-m1PrLol417MzpMMP9+zAWa9HobL3OBB9NvmilcoCp5U="
+    "hash": "sha256-SE2esNQQvu7ghvuYDk4rGRkrEKC4yLE0lP2l0RYtSCc="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-IGhQGwbnGG2ndJXJbx8F5S6pyV49lxk0l4l0tiwLS64="
+    "hash": "sha256-UPot8OJqDWHRYuoQUPjYNQZg2ZwV7mtRZpvQTQPnuOo="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-oeSlJ4iey9pEYWp6aRUvJ/+np6mxteOhU0IHD7xDqmU="
+    "hash": "sha256-c5F83FbX39vxlaCZmaB57SuPM+WZBBCJhcZaT1yB8NM="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-Qiwfo7OECTqS7Kdtf4/PwBnzyaCcH+kvLP9DFl0V8EQ="
+    "hash": "sha256-V/XmyLa/T6T4/E8xzsrAnE0Z3pC8i7Db9vW3CMpV4h0="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-+czhqVVD5QLn2DOd0M20GfkwC37wtzXGGt5ht0SwXiU="
+    "hash": "sha256-cK01SrBPqz7oYKctCqyBAvXIxXtvtAEwAEqWm/q7p2o="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-MLg9HPaurRPZUQ3rT5QcX3uwy6ZY7uEGwOru+M5AHsU="
+    "hash": "sha256-OrRH40TkAzq8xCHAfy4aE8h3QIXzzGim1PnPVN5lYSw="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-6ze5zQELAyl8GWFGs69O8zV4n7n+O6wY+xWlM0Y58Cc="
+    "hash": "sha256-qNpz+Q8jF8+ONeROm1QuU6kY0YP+pUtnbsNvnizGimk="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-/K6NghAESwqoLC74lhaYN0+1/Xw2NZIIKrjhLGFiDVA="
+    "hash": "sha256-3zbj9W7jIr2ustjAnOJvmSMa9557ma0TKpQyPzvdiyA="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-F80MdWIDS3b2rkYMKBP9AVqBQRPXdoYqILa1SMf/ISE="
+    "hash": "sha256-zK8vtLjEBTrqHsJsWeFIleYaxVuacLvfzJlyOmIySZw="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-rBuTvVkDD5RlmT+pt/d/SK2dyGa2FiikADfZOYtwQcY="
+    "hash": "sha256-AeVbGJZ5/YJ0CmdwTMtR+qLsMU9cnosnsudkGHX3iQI="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-kXBdFbSoGQKB27s2xnm3mFDGC90VkO+GUW3B+wMkcjg="
+    "hash": "sha256-+OjWGoDL+8gDNCyaJxsgNZcLf/pC9QJi2Vtcjz1NlSw="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-jshXw2S/Tn/dr1sRO1Az2NaTix16XHvAYJCUS5TvK54="
+    "hash": "sha256-c3sCj8f8+qL8LOWUT5WzHbZhI3QdYVtpgChx4aewb4c="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -85,7 +85,7 @@     "hash": "sha256-woJYvzXYeXXNCqaVlNLJHNu0OGOc2edBsw33wSXkM9I="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-sEKh8j1U9hlfdopHuNZ9bUJvcd0DSD506mVwQiu5s1s="
+    "hash": "sha256-jy+AikMbf2EOiy7fsa/pGXINjNb8A8DqoxbATtrNzl8="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
@@ -93,15 +93,15 @@     "hash": "sha256-eP5bg1qsWfKgXCR8R2yvyVJc0TDcozLEF88Ie2Xt/qI="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-iBl3xG+l7/S12IDC6F5hcKvC60f9QpRb7gmAU6Z6Z9w="
+    "hash": "sha256-f8ZU/37jez+bSlN8OG1HnuEuZN/aAo4T02XRHlDNefs="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-O6EB7B6P/0RMyTHjNr2p/qwDqdFBKH1NaUZnr8W3vcc="
+    "hash": "sha256-CRRZMQf4dq+cS6rPTfC9+FgViH+OIwFTbwyEWzljsWE="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-CXHDyoGu3Tz0bFO4O7FPPqzxxngpbeZ5lzkUo5FdTgM="
+    "hash": "sha256-D+ZgAL1rmYBmS7nJyq5NsTL508VpnhMeeBz0kmmDekY="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -117,11 +117,11 @@     "hash": "sha256-CIwxSrlCeVb9/wSV1djeuNNJFrIH8o+DqshkgnFQEHg="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-zeUMJdB9oMmCzBogxXeZPUPrOpGNQmjR8+TIrQ+Erss="
+    "hash": "sha256-oDBTQ1qOQsvq6U8HGBT2GirTPtQkECSQnZbNUcxo3v0="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-pv3c915mvVmDgwfy2kYA+oPUreBGa1HPvAmczwf1l9s="
+    "hash": "sha256-J3RpSVgSHNwDtHVs03GArLD86KgOtq8louyvj8T8SRk="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
@@ -129,10 +129,10 @@     "hash": "sha256-lIj6IbgvbDNb8kQG7+TeJUIYGV4gz0Moxe6Oo/zuQOs="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-J2+ypGEXVeaY9SA95xPc6nSyq4Wt09gvgHHkZPysxak="
+    "hash": "sha256-NyzNyXM2BV3Mj1g98h1KsKxjH5QYO03nWHU7iPUa/Ws="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-OW5SHMtEKpUNCbeI4O9V0dQ8U9BEX1hegAUXdn+aMiw="
+    "hash": "sha256-Ehz3ZpgrvF+QaFZYTR/g7TWPqwazWByfeAoqmR27TxI="
   }
 }
diff --git a/pkgs/gemini/gplaces/default.nix b/pkgs/gemini/gplaces/default.nix
index 210aee27e901623609f97d8afff76739257b74fb..03905ca4cf2113a813608e96fe01bee68006d70c 100644
--- a/pkgs/gemini/gplaces/default.nix
+++ b/pkgs/gemini/gplaces/default.nix
@@ -2,13 +2,13 @@ { lib, stdenv, fetchFromGitHub, pkg-config, curl, openssl, memstreamHook }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "gplaces";
-  version = "0.16.33";
+  version = "0.16.34";
 
   src = fetchFromGitHub {
     owner = "dimkr";
     repo = "gplaces";
     rev = "v${finalAttrs.version}";
-    hash = "sha256-orHIvqw7FOYp23nxWWJHAYOttkmudGgV93OXwfrxc+Y=";
+    hash = "sha256-CpMEtgJJ95LiW6mCASRriy8cNF7bmKAouK0RTh4VcC8=";
     fetchSubmodules = true;
   };
 