diff --git a/pkgs/gemini/gemserv/default.nix b/pkgs/gemini/gemserv/default.nix
index 9239165eb70f7785462854bdb125d0869664c0b2..51e7f78a6de89483867ce23bf81afb01e25cdb4d 100644
--- a/pkgs/gemini/gemserv/default.nix
+++ b/pkgs/gemini/gemserv/default.nix
@@ -19,7 +19,8 @@     rev = "v${version}";
     hash = "sha256-jFh7OksYGXGWwLb4HtAuDQ7OsWxedqeLARPI20RyAgQ=";
   };
 
-  cargoHash = "sha256-mGcZiSOwgRki3OfbbcNL/1avj6T5XD7ebjg9THIzUIQ=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-ehN8cHkY7FWMWZ9E+ETMEsPdUuupJlEGN6+76ocFI8k=";
 
   nativeBuildInputs = [ pkg-config ];
 
diff --git a/pkgs/geospatial/hecate/default.nix b/pkgs/geospatial/hecate/default.nix
index 34f165eff8f3c29e70a8b2e5e8fca76c875df4ee..ce9beba378c0666ad4b52137528cc1ac8c61b21e 100644
--- a/pkgs/geospatial/hecate/default.nix
+++ b/pkgs/geospatial/hecate/default.nix
@@ -20,8 +20,8 @@     hash = "sha256-X+49Mnls5xK6ag1QcvEm0GvLPmvcRBwNn/1vnC9GJO8=";
   };
 
   cargoPatches = [ ./cargo-lock.patch ];
-
-  cargoHash = "sha256-ktETBMhXszYmgVa86zNuG7SVqAC2wWGOSoCZ/+2UQAU=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-DIsvqtccOJD54LHjQdq+jQq3d25/EqjS/Jx4Bz/Pmd0=";
 
   nativeBuildInputs = [ pkg-config ];
 
diff --git a/pkgs/geospatial/mbutiles/cargo-lock.patch b/pkgs/geospatial/mbutiles/cargo-lock.patch
new file mode 100644
index 0000000000000000000000000000000000000000..e6b7abe3fda30cadedaabb7c70bea45ad8bd0ee0
--- /dev/null
+++ b/pkgs/geospatial/mbutiles/cargo-lock.patch
@@ -0,0 +1,36 @@
+diff --git i/Cargo.lock w/Cargo.lock
+index 847a511..35b6cb4 100644
+--- i/Cargo.lock
++++ w/Cargo.lock
+@@ -1,6 +1,6 @@
+ # This file is automatically @generated by Cargo.
+ # It is not intended for manual editing.
+-version = 3
++version = 4
+ 
+ [[package]]
+ name = "adler"
+@@ -471,9 +471,9 @@ dependencies = [
+ 
+ [[package]]
+ name = "time"
+-version = "0.3.34"
++version = "0.3.37"
+ source = "registry+https://github.com/rust-lang/crates.io-index"
+-checksum = "c8248b6521bb14bc45b4067159b9b6ad792e2d6d754d6c41fb50e29fefe38749"
++checksum = "35e7868883861bd0e56d9ac6efcaaca0d6d5d82a2a7ec8209ff492c07cf37b21"
+ dependencies = [
+  "deranged",
+  "itoa",
+@@ -494,9 +494,9 @@ checksum = "ef927ca75afb808a4d64dd374f00a2adf8d0fcff8e7b184af886c3c87ec4a3f3"
+ 
+ [[package]]
+ name = "time-macros"
+-version = "0.2.17"
++version = "0.2.19"
+ source = "registry+https://github.com/rust-lang/crates.io-index"
+-checksum = "7ba3a3ef41e6672a2f0f001392bb5dcd3ff0a9992d618ca761a11c3121547774"
++checksum = "2834e6017e3e5e4b9834939793b282bc03b37a3336245fa820e35e233e2a85de"
+ dependencies = [
+  "num-conv",
+  "time-core",
diff --git a/pkgs/geospatial/mbutiles/default.nix b/pkgs/geospatial/mbutiles/default.nix
index 324faf4d598a0fc4d365283c16d31b0da86ba011..4a59fa356bd7ee6b081eaffc41dc51596c09237d 100644
--- a/pkgs/geospatial/mbutiles/default.nix
+++ b/pkgs/geospatial/mbutiles/default.nix
@@ -17,7 +17,9 @@     rev = "1f59d2d5c8e9f97c632f791c92200759012a490b";
     hash = "sha256-w+fAfRHi/+TaQ4n9AjfBIbXeemCOnkFxR08ev1f+oTc=";
   };
 
-  cargoHash = "sha256-Qf0qWolEGSnptiqGmgZZiXmY+XCvvmk0lJjnosy+8nI=";
+  cargoPatches = [ ./cargo-lock.patch ];
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-5lHKJ0kb/Zn3hSY6ZFARz60GPWKQ56fsbqL9Lq9VOqE=";
 
   nativeBuildInputs = [ pkg-config ];
 
@@ -28,6 +30,5 @@     description = "mbtiles utility in Rust, generate MBTiles from tiles directories and extract tiles from MBTiles file";
     homepage = "https://github.com/amarant/mbutiles";
     license = lib.licenses.bsd3;
     maintainers = [ lib.maintainers.sikmir ];
-    broken = true; # error on crate `time` caused by an API change in Rust 1.80.0
   };
 }
diff --git a/pkgs/gpx/gprox/default.nix b/pkgs/gpx/gprox/default.nix
index bd0acfb71f7fc974667c870417daf7be34a20997..80689659cdc81d0b630cc29d03f7ab06c91f3112 100644
--- a/pkgs/gpx/gprox/default.nix
+++ b/pkgs/gpx/gprox/default.nix
@@ -17,8 +17,8 @@     hash = "sha256-elSDOyTGOyLcMESCjKwabCCxE1PkpKxJzKnJyMUtwiA=";
   };
 
   cargoPatches = [ ./cargo-lock.patch ];
-
-  cargoHash = "sha256-boqyYYxZqdDuQxBKpTcHpjjsCkr7owvXFxaZ4pMmX8c=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-PRpRZWxIMEikMDrS+jW/Uecha9Onuq6mn9CaK+i7GJs=";
 
   meta = {
     description = "Tool to process .gpx files";
diff --git a/pkgs/misc/csv2html/default.nix b/pkgs/misc/csv2html/default.nix
index 8248f11b362605d31e673e28051e1754963268f3..3707aec3446e7c9ce084127703ec2176dff91ccd 100644
--- a/pkgs/misc/csv2html/default.nix
+++ b/pkgs/misc/csv2html/default.nix
@@ -16,7 +16,8 @@     tag = "v${version}";
     hash = "sha256-H8nUwK72opUohBN2exZURRAPr1RXLa87exYaGigly0Q=";
   };
 
-  cargoHash = "sha256-axvgAXstJU9J7fzez3qfEuxzPs6eCvlyjV8OsxBSg7A=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-HZ7VLpgdSjpalJt3XmflJdO88LZxNkmL7vT/eFACe6k=";
 
   meta = {
     description = "Convert CSV files to HTML tables";
diff --git a/pkgs/misc/ffs/default.nix b/pkgs/misc/ffs/default.nix
index 31d79dd0a0032fdefe906f21d050126aa00ecbea..f2a04ce0daf730370abf29c29ff01561ae8dc15a 100644
--- a/pkgs/misc/ffs/default.nix
+++ b/pkgs/misc/ffs/default.nix
@@ -22,7 +22,8 @@     tag = "v${version}";
     hash = "sha256-7hYH+utmAoWtV2xZLvSnE8779qKvzIJVJt9mNwH82sY=";
   };
 
-  cargoHash = "sha256-otZIFcXvSXYdd23jlSlXn5ExoUhTBCRnnqhO4ksb3Pw=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-EcUXWTGQBOkrBzlL/DMQvcUP/NVPvOsyM5qm+SEDc6s=";
 
   nativeBuildInputs = [ pkg-config ];
 
diff --git a/pkgs/misc/opcua/default.nix b/pkgs/misc/opcua/default.nix
index c7ba05d7741d80a212da6b367b531bfa6d247914..23230d00552a59500c7575ab8f0c746ad1887d9b 100644
--- a/pkgs/misc/opcua/default.nix
+++ b/pkgs/misc/opcua/default.nix
@@ -17,7 +17,8 @@     rev = "fcc89d8f8b93b5a0943ec8086706e883900faa3c";
     hash = "sha256-0rwpAVynm0EfE4Wvq37P9O/om+zjNpi7G8iETCfZX6A=";
   };
 
-  cargoHash = "sha256-rmhEwDrQGX1ISeT2xXg63JjrEqx1oCD6VIfVUGmFFiU=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-cjHr5OqDC25+4Y1qd89csHA4bjfVCPsfIQglQ3Dx/Yg=";
 
   nativeBuildInputs = [ pkg-config ];
 
diff --git a/pkgs/mqtt/mqtt-cli/default.nix b/pkgs/mqtt/mqtt-cli/default.nix
index 510e27b8ec292cf48f5c4d2b01677c0d9b6d947d..979a9baadb4f1942dc6a82166687b02e5228dbcf 100644
--- a/pkgs/mqtt/mqtt-cli/default.nix
+++ b/pkgs/mqtt/mqtt-cli/default.nix
@@ -8,13 +8,13 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "mqtt-cli";
-  version = "4.36.0";
+  version = "4.37.0";
 
   src = fetchfromgh {
     owner = "hivemq";
     repo = "mqtt-cli";
     tag = "v${finalAttrs.version}";
-    hash = "sha256-W3vlCxrj/+PAR20Qdth4WRlRZxmPJUAkaC6VHAFyjh8=";
+    hash = "sha256-FT0ZVgTwgNEcJpF9ley0ncU7qyYRmb1i1suBwz2HkSg=";
     name = "mqtt-cli-${finalAttrs.version}.jar";
   };
 
diff --git a/pkgs/mqtt/rumqtt/cargo-lock.patch b/pkgs/mqtt/rumqtt/cargo-lock.patch
new file mode 100644
index 0000000000000000000000000000000000000000..10c3e6aaa0839b8d6d5e8ae715172446a578f0c9
--- /dev/null
+++ b/pkgs/mqtt/rumqtt/cargo-lock.patch
@@ -0,0 +1,47 @@
+diff --git i/Cargo.lock w/Cargo.lock
+index 1a46b71..cafc12a 100644
+--- i/Cargo.lock
++++ w/Cargo.lock
+@@ -1260,6 +1260,12 @@ dependencies = [
+  "num-traits",
+ ]
+ 
++[[package]]
++name = "num-conv"
++version = "0.1.0"
++source = "registry+https://github.com/rust-lang/crates.io-index"
++checksum = "51d515d32fb182ee37cda2ccdcb92950d6a3c2893aa280e540671c2cd0f3b1d9"
++
+ [[package]]
+ name = "num-format"
+ version = "0.4.4"
+@@ -2325,12 +2331,13 @@ dependencies = [
+ 
+ [[package]]
+ name = "time"
+-version = "0.3.30"
++version = "0.3.37"
+ source = "registry+https://github.com/rust-lang/crates.io-index"
+-checksum = "c4a34ab300f2dee6e562c10a046fc05e358b29f9bf92277f30c3c8d82275f6f5"
++checksum = "35e7868883861bd0e56d9ac6efcaaca0d6d5d82a2a7ec8209ff492c07cf37b21"
+ dependencies = [
+  "deranged",
+  "itoa",
++ "num-conv",
+  "powerfmt",
+  "serde",
+  "time-core",
+@@ -2345,10 +2352,11 @@ checksum = "ef927ca75afb808a4d64dd374f00a2adf8d0fcff8e7b184af886c3c87ec4a3f3"
+ 
+ [[package]]
+ name = "time-macros"
+-version = "0.2.15"
++version = "0.2.19"
+ source = "registry+https://github.com/rust-lang/crates.io-index"
+-checksum = "4ad70d68dba9e1f8aceda7aa6711965dfec1cac869f311a51bd08b3a2ccbce20"
++checksum = "2834e6017e3e5e4b9834939793b282bc03b37a3336245fa820e35e233e2a85de"
+ dependencies = [
++ "num-conv",
+  "time-core",
+ ]
+ 
diff --git a/pkgs/mqtt/rumqtt/default.nix b/pkgs/mqtt/rumqtt/default.nix
index fa27ef5ab41c82bb008da438b4eccb42e7e18039..7e78e1d314185e0176968dd1e72b5155dc73230f 100644
--- a/pkgs/mqtt/rumqtt/default.nix
+++ b/pkgs/mqtt/rumqtt/default.nix
@@ -18,7 +18,9 @@     tag = "rumqttd-${version}";
     hash = "sha256-3rDnJ1VsyGBDhjOq0Rd55WI1EbIo+17tcFZCoeJB3Kc=";
   };
 
-  cargoHash = "sha256-a6HVcaL6OKIK0h3yuUFDlPASNRciOdW09uXoewld4F8=";
+  cargoPatches = [ ./cargo-lock.patch ];
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-/OUSTfpjqTily2b2RNZEfmHdKHSQo7lQsGwqW08vPnc=";
 
   nativeBuildInputs = [ cmake ];
 
@@ -29,6 +31,5 @@     description = "The MQTT ecosystem in rust";
     homepage = "https://github.com/bytebeamio/rumqtt";
     license = lib.licenses.asl20;
     maintainers = [ lib.maintainers.sikmir ];
-    broken = true; # error on crate `time` caused by an API change in Rust 1.80.0
   };
 }
diff --git a/pkgs/osm/osmptparser/default.nix b/pkgs/osm/osmptparser/default.nix
index fd6f7bb1a975ec149b823522e5b0aafda065ccb9..37ef910167adcec67fb3cdc64a27581496e6d8eb 100644
--- a/pkgs/osm/osmptparser/default.nix
+++ b/pkgs/osm/osmptparser/default.nix
@@ -15,7 +15,8 @@     tag = "v${version}";
     hash = "sha256-+u1UP+hFI8fi+NAzQ4pIObo+ZCBBaEoIkUNvHPO7jSQ=";
   };
 
-  cargoHash = "sha256-Hl0K3E6mIbdl4h6Q9pZp71OVdgsuc2jKQWvDaNKM4FA=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-Ds6fgL8aeRk/Pq6VmQupAZR8gN7Yl3c/LNCYigbE+CI=";
 
   doCheck = false;
 
diff --git a/pkgs/radio/adsb_deku/default.nix b/pkgs/radio/adsb_deku/default.nix
index f7c1513f5c745ea5e7d6fc860d620b65095e9e3b..a90e5c51c831d874c7aed227beb0b03d023fd326 100644
--- a/pkgs/radio/adsb_deku/default.nix
+++ b/pkgs/radio/adsb_deku/default.nix
@@ -16,7 +16,8 @@     tag = "v${version}";
     hash = "sha256-+WUG/CQ/j3muYow2FMFNUgWWhOCPZc0k+okoF1p1L5Y=";
   };
 
-  cargoHash = "sha256-uiv8XdI/PkeeqlTX3pMCvSAgxTpnZlYExY1MPcNS0S8=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-E9WV4W2ycr4/EJDlvnLyyYOCOAgK26Kzmt48NUf9qJY=";
 
   meta = {
     description = "Rust ADS-B decoder + tui radar application";
diff --git a/pkgs/radio/dump1090_rs/default.nix b/pkgs/radio/dump1090_rs/default.nix
index 73b9e855ff140825645489a0c06cb86e5745c826..e9a3b787d15571e07d9ee7a39f0606610d1835fb 100644
--- a/pkgs/radio/dump1090_rs/default.nix
+++ b/pkgs/radio/dump1090_rs/default.nix
@@ -17,7 +17,8 @@     tag = "v${version}";
     hash = "sha256-YMi+DaLORiy36rl02sKoCanI1hQSh4eRKJdrruxvMWg=";
   };
 
-  cargoHash = "sha256-eLFRbEJPEurSzxcaMpMmV1y2S47B34+LALkpD+vILoo=";
+  useFetchCargoVendor = true;
+  cargoHash = "sha256-d/v2BTPOYW6nJdDlrKektrXTwQUgaapKkwwaG+W3oFY=";
 
   nativeBuildInputs = [ pkg-config ];
 
@@ -29,6 +30,5 @@     homepage = "https://github.com/rsadsb/dump1090_rs";
     license = lib.licenses.gpl2;
     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.unix;
-    broken = true; # Unable to find libclang
   };
 }