diff --git a/pkgs/data/dicts/dadako/base.nix b/pkgs/data/dicts/dadako/base.nix
index 32d602186d3c7169dfc2d00e82865f406fbc9d9b..b19fc0852500c3d86dc60d7e93acdd8b31638806 100644
--- a/pkgs/data/dicts/dadako/base.nix
+++ b/pkgs/data/dicts/dadako/base.nix
@@ -1,18 +1,13 @@
-{ lib, stdenvNoCC, fetchurl, unzip, pname, version, filename, sha256, description }:
+{ lib, srcOnly, fetchzip, unzip, pname, version, filename, hash, description }:
 
-stdenvNoCC.mkDerivation {
+srcOnly {
   inherit pname version;
 
-  src = fetchurl {
+  src = fetchzip {
     url = "http://dadako.narod.ru/GoldenDict/${filename}";
-    inherit sha256;
+    inherit hash;
+    stripRoot = false;
   };
-
-  dontUnpack = true;
-
-  installPhase = "${unzip}/bin/unzip $src -d $out";
-
-  preferLocalBuild = true;
 
   meta = with lib; {
     inherit description;
diff --git a/pkgs/data/dicts/dadako/default.nix b/pkgs/data/dicts/dadako/default.nix
index a83d33e77f55cac18ff535e793039db3de821e6a..ff7a8c5a32f31b30ce71501512bfd6a27c451cae 100644
--- a/pkgs/data/dicts/dadako/default.nix
+++ b/pkgs/data/dicts/dadako/default.nix
@@ -8,7 +8,7 @@     pname = "rus-fin-pogovorki";
     inherit version;
     filename = "rus-fin_Pogovorki_${lib.replaceStrings [ "." ] [ "_" ] version}GD.zip";
     description = "Русские поговорки и их финские аналоги (Rus-Fin)";
-    sha256 = "0zvzkdl2wb8dvfbnyv3azzxygqhzcpcj93l422kb2snssfm2451v";
+    hash = "sha256-9tOdf+5INmhbsek9HT5reBTrflhOJ614tRfMOHfMdFA=";
   };
 
   fin-fin-synonyms = callPackage ./base.nix {
@@ -16,6 +16,6 @@     pname = "fin-fin-synonyms";
     inherit version;
     filename = "fin-fin_Synonyms_${lib.replaceStrings [ "." ] [ "_" ] version}GD.zip";
     description = "Finnish Synonyms (Fin-Fin)";
-    sha256 = "1757v6x89jghl9hz57hq9dm8lgx6d48rnrpfc2zpijxv8xk8g5w7";
+    hash = "sha256-Yc+L9v6gNrGaD8FJ36CtkPovWEekwuaLYsG7E/WH5Dk=";
   };
 }
diff --git a/pkgs/data/dicts/huzheng/base.nix b/pkgs/data/dicts/huzheng/base.nix
index f0fb276769e4eac791a116a3e6b5da01be469fbf..6c62cbba71bba5d4119c183bb99e769bf83b7efe 100644
--- a/pkgs/data/dicts/huzheng/base.nix
+++ b/pkgs/data/dicts/huzheng/base.nix
@@ -1,16 +1,12 @@
-{ lib, stdenvNoCC, fetchurl, pname, version, filename, hash, description }:
+{ lib, srcOnly, fetchurl, pname, version, filename, hash, description }:
 
-stdenvNoCC.mkDerivation {
+srcOnly {
   inherit pname version;
 
   src = fetchurl {
     url = "http://download.huzheng.org/${filename}";
     inherit hash;
   };
-
-  installPhase = "cp -a . $out";
-
-  preferLocalBuild = true;
 
   meta = with lib; {
     inherit description;
diff --git a/pkgs/data/misc/osm-extracts/default.nix b/pkgs/data/misc/osm-extracts/default.nix
index 49d24fc2d240194fc95aa5398f269a21125707fb..c91ee11c1addd420921fc4982fb797a0f32a911d 100644
--- a/pkgs/data/misc/osm-extracts/default.nix
+++ b/pkgs/data/misc/osm-extracts/default.nix
@@ -2,11 +2,11 @@ { lib, stdenv, fetchurl, osmium-tool, region ? "RU-LEN" }:
 
 stdenv.mkDerivation rec {
   pname = "osm-extracts-${region}";
-  version = "220819";
+  version = "220830";
 
   src = fetchurl {
     url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-    hash = "sha256-2LhTMEGeJVLstmOzn1/MJ/Htg2B7Bza4xcxHj68Hr2A=";
+    hash = "sha256-kzn8Rs/ZRekHF5CJ5SZeY+q1s642o+ZSJdRhNvwutZw=";
   };
 
   dontUnpack = true;
diff --git a/pkgs/data/misc/routinodb/default.nix b/pkgs/data/misc/routinodb/default.nix
index b8ae56b49433eb1703f1cd19c96cc7a4b58b80f8..d5848cb885d0e95be4b239a48668084ebf891ff8 100644
--- a/pkgs/data/misc/routinodb/default.nix
+++ b/pkgs/data/misc/routinodb/default.nix
@@ -2,12 +2,12 @@ { lib, stdenv, fetchurl, routino, prefix ? "Russia-NWFD" }:
 
 stdenv.mkDerivation rec {
   pname = "routinodb";
-  version = "220814";
+  version = "220830";
 
   srcs = [
     (fetchurl {
       url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-      hash = "sha256-G3WylejNaEmCUXfbPAf/4c2E9+0+RehpECwKwJfeGIs=";
+      hash = "sha256-kzn8Rs/ZRekHF5CJ5SZeY+q1s642o+ZSJdRhNvwutZw=";
     })
   ];
 
diff --git a/pkgs/geospatial/mapsoft/default.nix b/pkgs/geospatial/mapsoft/default.nix
index 6fc54b722883ec7808cef4129d83bb0c4d134693..2df175ddf6099c2adc4b768b91c92a5a001d44de 100644
--- a/pkgs/geospatial/mapsoft/default.nix
+++ b/pkgs/geospatial/mapsoft/default.nix
@@ -32,13 +32,13 @@ }:
 
 stdenv.mkDerivation rec {
   pname = "mapsoft";
-  version = "2021-06-10";
+  version = "20220624-alt1";
 
   src = fetchFromGitHub {
     owner = "ushakov";
-    repo = pname;
-    rev = "0fbf1e39f3d7fbe3f5c67f56997745ac6526c8b4";
-    hash = "sha256-fU7Nwa5jtt07JTOnuai0d2Tyk8N9Jq9PdwDOCl7FigE=";
+    repo = "mapsoft";
+    rev = "e51645da7bbb7f6ca6505dd6e6f9a009556a78c1";
+    hash = "sha256-GPlLVMWqYXs0K3UzQnYlWPm0t9qz6rzQmW1dTOUtPDY=";
   };
 
   patches = [ ./0001-fix-build.patch ];